Bug 1303082 - [RFE] Missing sub-command to list installed package-groups
[RFE] Missing sub-command to list installed package-groups
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content (Show other bugs)
Nightly
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 08:48 EST by Sachin Ghai
Modified: 2017-01-29 01:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 13466 None None None 2016-04-22 12:45 EDT

  None (edit)
Description Sachin Ghai 2016-01-29 08:48:30 EST
Description of problem:
Currently only two commands are available for package-groups
-install
-remove

I think we should add command to list installed package-groups on selected host

 # hammer -u admin -p changeme host package-group --help
Usage:
    hammer host package-group [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    subcommand
 [ARG] ...                     subcommand arguments

Subcommands:
 install                       Install packages remotely
 remove                        Uninstall packages remotely

Options:
 -h, --help                    print help


Version-Release number of selected component (if applicable):
katello-2.5.0-3.nightly.el7.noarch
foreman-release-1.11.0-0.develop.201601211808gitd546fd0.el7.noarch
tfm-rubygem-hammer_cli_katello-0.0.20-1.el7.noarch
tfm-rubygem-hammer_cli-0.5.1-2.el7.noarch

How reproducible:
always

Steps to Reproduce:
1.hammer -u admin -p changeme host package-group --help
2.
3.

Actual results:
Missing sub-command to list installed package-groups on selected host.

Expected results:


Additional info:
Comment 1 Sachin Ghai 2016-01-29 08:49:04 EST
Created redmine issue http://projects.theforeman.org/issues/13466 from this bug
Comment 3 Bryan Kearney 2016-02-14 12:04:25 EST
Upstream bug component is Hosts
Comment 4 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2016-07-26 11:36:32 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 7 Bryan Kearney 2016-08-10 15:13:23 EDT
Upstream bug component is Hosts - Content
Comment 8 Bryan Kearney 2016-08-10 16:14:22 EDT
Upstream bug component is Hosts
Comment 9 Bryan Kearney 2016-08-10 18:14:01 EDT
Upstream bug component is Hosts - Content
Comment 10 Justin Sherrill 2016-12-19 13:47:22 EST
This is more of an RFE

Note You need to log in before you can comment on or make changes to this bug.